a {
    text-decoration: none;
    color: black;

    &:visited {
        color: black;
    }
}

.table th, .table td {
    padding: 8px;
}

.badge {
    font-weight: 500;
}

.badge-pill {
    border-radius: 20px;
}

.badge-info {
    background: rgb(0, 188, 255);
}

.badge-success {
    background: rgb(0, 201, 80);
}

.badge-warning {
    background: rgb(254, 154, 0);
}

.badge-danger {
    background: rgb(251, 44, 54);
}

.btn {
    display: inline-flex;
    justify-content: center;
    height: 36px;
    padding: 0 14px;
    text-wrap: nowrap;

    &.btn-link {
        text-decoration: none !important;
        padding: 0 14px !important;
    }

    &.btn-warning {
        color: black !important;
    }

    &.btn-secondary {
        color: white !important;

        &[data-request$="Delete"]:not(:disabled) {
            color: rgba(255, 255, 255, 1) !important;
            background: rgb(251, 44, 54) !important;

            &:hover {
                opacity: 0.65;
            }
        }
    }

    &.btn-secondary, &.btn-primary {
        border: none;
    }

    &.btn-danger:disabled {
        border-color: transparent;
    }

    &.btn-sm {
        height: 28px;
        font-weight: 450;
        font-size: 13px !important;

        &[class*="oc-icon-"]::before {
            transform: translateY(1px);
        }
    }

    &.btn-block {
        display: flex;
    }

    &.btn-icon-only {
        width: 36px !important;
        padding: 0 !important;
    }
}

.row {
    flex-direction: row;
}

.text-muted {
    opacity: 0.65;
}

:has(> [class*="col-md-"]) {
    display: flex;
    flex-wrap: wrap;
}

[class*="col-md-"] {
    flex: 0 0 auto;
}

.span-storm:not([class*="col-md-"]) {
    width: 100%;
}

.col-md-2 {
    width: 16.66666667%;
}

.col-md-3 {
    width: 25%;
}

.col-md-4 {
    width: 33.33333333%;
}

.col-md-5 {
    width: 41.66666667%;
}

.col-md-6 {
    width: 50%;
}

.col-md-7 {
    width: 58.33333333%;
}

.col-md-8 {
    width: 66.66666667%;
}

.col-md-9 {
    width: 75%;
}

.col-md-10 {
    width: 83.33333333%;
}

.col-md-11 {
    width: 91.66666667%;
}

.col-md-12 {
    width: 100%;
}

i {
    position: relative;
    height: 20px;
    width: 20px;
}

table > tbody > tr > td {
    vertical-align: middle;
}

.no-gutters {
    margin-right: 0;
    margin-left: 0;
}

.card-footer {
    padding: 15px;
}

.modal-footer>* {
    margin: 0 !important;
}

@media (max-width: 768px) {
    .col-md-3 {
        width: 50%;
    }
    .col-md-6, .span-left, .span-right {
        width: 100% !important;
    }

    .col-md-4.textarea-field {
        width: 100% !important;
    }
}
